<div class="landing">
    <div class="header" *ngIf="sizingRequest">
        <div class="d-flex align-items-center">
            <div class="heading font-bold-32">{{sizingRequest.sizingRequestName}}</div>
            <div class="buttons d-flex ml-auto">
                <button class="app-btn app-btn-size-136 mr-2">SAVE CHANGES</button>
                <button class="app-btn-filled app-btn-size-136">VIEW SUMMARY</button>
            </div>
        </div>

        <div class="title d-flex flex-row">
            <div class="name font-semi-18">{{sizingRequest.companyName}}</div>
            <div class="divider bgc-greyc8"></div>
            <div class="userid font-lite-18 color-grey10">0092hsgbaut20022</div>
        </div>
        <app-tab-layout class="headerTabs" [fontClass]="'font-bold-14'" [tabs]="headerTabs"
            (tabChange)="onHeaderTabChange($event)"></app-tab-layout>
    </div>
    <div class="body d-flex justify-content-between" *ngIf="view === 'Capacity'">
        <div class="leftPanel">
            <div class="d-flex align-items-center heading">
                <div class="font-semi-16 color-grey1a">Workloads</div>
                <div (click)="openModal(addWorkLoad.modal)" class="d-flex align-items-center ml-auto btn-add-workload">
                    <div class="icon-add"></div>
                    <div class="font-bold-14 color-blue14">Add workload</div>
                </div>
            </div>
            <div class="content">
                <app-tab-layout *ngIf="typeTabs" [tabs]="typeTabs" [fontClass]="'font-bold-16'"
                    (tabChange)="showWorkloadsOfType($event)"></app-tab-layout>
                <app-tag-layout *ngIf="nameTags" [tags]="nameTags" (tagChange)="showParametersForWorkload($event)"
                    (remove)="removeWorkloadFromRequest($event)"></app-tag-layout>
                <app-sizing-parameters *ngIf="parameters" [parameters]="parameters"></app-sizing-parameters>
            </div>
        </div>
        <div class="rightPanel">
                <div class="heading">
                        <div class="font-semi-16 color-grey1a">Sizing Summary</div>                        
                    </div>
        
            <div class="content d-flex justify-content-between flex-column">
                <div class="chart-card flex-fill mb-5">
                    <app-dataset-chart-container></app-dataset-chart-container>
                </div>
                <div class="chart-card flex-fill mb-5">
                    <app-req-capacity-chart-container></app-req-capacity-chart-container>
                </div>
                <div class="chart-card flex-fill mb-5">3</div>
            </div>
        </div>
    </div>
</div>
<app-common-modal [id]="addWorkLoad.modal" size="small">
    <span headerTitle >Add Workload</span>
    <div body>
        <div class="d-flex flex-column mb-3">
            <label class="font-regu-14 color-grey33">Workload Type</label>
            <app-dropdown class="flex-fill" [options]="workloadTypes" [(value)]="addWorkLoad.type" [placeholder]="'Select Workload'">
            </app-dropdown>
        </div>
        <div class="d-flex flex-column mb-3">
            <label class="font-regu-14 color-grey33">Workload Name</label>
            <input type="text" [(ngModel)]="addWorkLoad.name" class="flex-fill" />
        </div>
    </div>
    
    <div footer>
        <button class="app-btn app-btn-size-100" (click)="closeModal(addWorkLoad.modal)">CANCEL</button>
        <button class="app-btn-filled app-btn-size-100" [disabled]="!(addWorkLoad.type && addWorkLoad.name)"
            (click)="addWorkloadParametersToWorkload()">ADD</button>
    </div>
</app-common-modal>